<!--
//
// <Xinics v3.1 Viewer> Copyright (C) 2001-2004 Xinics Inc. All rights reserved. #3.1.200409.1030
//
var gAniNum=0;

function setFrames(SlideIndex, ShowAllPage) {
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) == "undefined" )
		return;
	if(PPTSldF.GetHrefObj(SlideIndex) == null  || typeof(PPTSldF.GetHrefObj(SlideIndex)) =="undefined"
	|| PPTSldF.MHTMLPrefix == null  || typeof(PPTSldF.MHTMLPrefix) =="undefined")
		return;
	if( ShowAllPage.toUpperCase() == "SHOWALLPAGE" )
		PPTSldF.GetHrefObj(SlideIndex).mVisited = true;
	else
		PPTSldF.GetHrefObj(SlideIndex).mVisited = false;

	url = GetContentsPath(PPTSldF.location.href, PPTSldF.MHTMLPrefix) + PPTSldF.GetHrefObj(SlideIndex).mSldHref;
	try
	{
		PPTSldF.SldUpdated(PPTSldF.GetHrefObj(SlideIndex).mSldHref);
	}
	catch(e){}

//	if( PPTSldF.PPTSld.location.href != url )
		PPTSldF.PPTSld.location.href = url;
}
function GetContentsPath(theURL, Prefix)
{
	var thePath = theURL.substr( 0, theURL.lastIndexOf("/")+1 );
	var theFile = theURL.substr( thePath.length , theURL.length );

	if (!theFile.match(/^est1_frame.htm$/i))
		return thePath + 'HTML/' + Prefix;
	else
		return thePath + Prefix;
}

function DocAction()
{
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) =="undefined" )
		return;
	if(PPTSldF.PPTSld.g_animMainSequence == null  || typeof(PPTSldF.PPTSld.g_animMainSequence)=="undefined")
	{
	//Office 2000
		if(PPTSldF.PPTSld.g_animManager==null  || typeof(PPTSldF.PPTSld.g_animManager)=="undefined")
			return;
		if(PPTSldF.PPTSld.g_animManager.m_numBuilds<0)
			return;
		PPTSldF.PPTSld._DocAction();
	}
	else
	{
	//Office XP
		PPTSldF.PPTSld.document.body.click();
	}
}

function DoPrint()
{
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) =="undefined" )
		return;
	PPTSldF.PPTSld.window.focus();
	PPTSldF.PPTSld.window.print();
}

function getNodeText(obj)
{
	var ret = '';
	if (IsObj(obj))
	{
		ret = obj.text;
		if (!isNaN(ret)) ret = Number(ret);
	}
	return ret;
}
function IsObj(obj)
{
	if (obj!=null && typeof(obj)!="undefined")
		return true;
	else
		return false;
}

var objSlide = new Object();
function InitObject()
{
	objSlide.SubType = '';
	objSlide.VideoDir = '';
	objSlide.VideoUrl = '';
	objSlide.bgType = '';
	objSlide.bgImage = '';
	objSlide.FillMode = '';
	objSlide.FillColor = '';

	objSlide.posLeft = 0;
	objSlide.posTop = 0;
	objSlide.posWidth = 640;
	objSlide.posHeight = 480;

	objSlide.SlideWidth = 640;
	objSlide.SlideHeight = 480;
}

function GetDirPath(path)
{
	if (path.length == 0) return '';
	return path.substr( 0, path.lastIndexOf( "/" )+1 );
}

var gXmlLoad = false;
function ReadSlideInfo(ListIndex)
{
	InitObject();
	var objXML = new ActiveXObject("Msxml.DOMDocument");
	if (objXML !=null)
	{
		objXML.async = false;
		objXML.load(objSlide.pptUrl + 'cpz.xml');
		
		if (objXML.parseError == 0)
		{
			var query = "//slide["+(ListIndex-1)+"]";
			if (objXML.documentElement.selectNodes(query).length < 1) return;

			var oNodes = objXML.documentElement.selectNodes(query)[0];
			if ( getNodeText(oNodes.selectSingleNode("main_type")).length < 9 || 
				getNodeText(oNodes.selectSingleNode("main_type")).substr(0, 9).toUpperCase() != "CPZ_VIDEO" ) 
			return;

			gXmlLoad = true;
			objSlide.SubType = getNodeText( oNodes.selectSingleNode("sub_type") );
			objSlide.VideoDir = GetDirPath ( getNodeText( oNodes.selectSingleNode("filename") ) );

			query = ".//layout_info";
			if (oNodes.selectNodes(query).length > 0)
			{
				oNodes = oNodes.selectNodes(query)[0];
				objSlide.VideoUrl = objSlide.VideoDir + getNodeText( oNodes.selectSingleNode("./media_file") );
				objSlide.posWidth = getNodeText( oNodes.selectSingleNode("./media_sizeX") );
				objSlide.posHeight = getNodeText( oNodes.selectSingleNode("./media_sizeY") );
				objSlide.posLeft = getNodeText( oNodes.selectSingleNode("./media_left") );
				objSlide.posTop = getNodeText( oNodes.selectSingleNode("./media_top") );

				query = ".//media_background";
				if (oNodes.selectNodes(query).length > 0)
				{
					oNodes = oNodes.selectNodes(query)[0];
					objSlide.bgType = getNodeText( oNodes.selectSingleNode("./type") );
					objSlide.bgImage = getNodeText( oNodes.selectSingleNode("./filename") );
					objSlide.FillMode = getNodeText( oNodes.selectSingleNode("./fill_mode") );
					objSlide.FillColor = getNodeText( oNodes.selectSingleNode("./fill_color") );
				}
			}
		}
		objXML = null;
	}
}

function DoDataVideo2(SlideIndex, bScale, MediaUrl, Volume, ManagerMode)
{
	if(PPTSldF == null  || typeof(PPTSldF) =="undefined" )
		return;
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) =="undefined" )
		return;
	if(PPTSldF.GetHrefObj(SlideIndex) == null  || typeof(PPTSldF.GetHrefObj(SlideIndex)) =="undefined" )
		return;
	if(PPTSldF.MHTMLPrefix == null  || typeof(PPTSldF.MHTMLPrefix) =="undefined") 
		return;

	objSlide.pptUrl = GetContentsPath(PPTSldF.location.href, PPTSldF.MHTMLPrefix);
	ReadSlideInfo(SlideIndex);
//	if (objSlide.VideoUrl.length > 0) asfname = objSlide.VideoUrl;
//	else
	{
		s = PPTSldF.GetHrefObj(SlideIndex).mSldHref;
		asfname = s.substr( 0, s.lastIndexOf( "." )+1 ) + "asf";
	}

	url = MediaUrl.substr( 0, MediaUrl.lastIndexOf( "/" )+1 );
//	if( ManagerMode ) url += "AsfFiles/" + asfname;
//	else url += "HTML/AsfFiles/" + asfname;

	if (asfname.match(/~subtemp\d+/gi) != null)
		url += "HTML/" + asfname.replace(/^(.*)(\/.+\.asf)$/i, "$1\/AsfFiles$2");
	else
		url += "HTML/AsfFiles/" + asfname;

 	if (MediaUrl.match(/\?/) != null)
 		url += MediaUrl.replace(/^(.*)(\?.*)$/i, "$2");

	if (ManagerMode) url = url.replace(/HTML\//gi, "");
	s = generateHTML(bScale, Volume, url);
	var oNewDoc = PPTSldF.PPTSld.document.open();
	oNewDoc.write( s );
	oNewDoc.close();
}

function eStreamInit()
{
	AnimRange(gAniNum);
}

function SetAniNum(AniNum)
{
	gAniNum = AniNum;
}

function AnimRange( num )
{
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) =="undefined" )
		return;
	if(PPTSldF.PPTSld.g_animMainSequence == null  || typeof(PPTSldF.PPTSld.g_animMainSequence)=="undefined")
	{
	//Office 2000
		if(PPTSldF.PPTSld.g_animManager==null  || typeof(PPTSldF.PPTSld.g_animManager)=="undefined")
		  return;
		if(PPTSldF.PPTSld.g_animManager.m_numBuilds<0 || num < 1)
		  return;
		if( !(PPTSldF.IsSldVisited()) ) return;
		am = PPTSldF.PPTSld.g_animManager;
		if( num > am.m_numBuilds ) num = am.m_numBuilds;

		for(x=am.m_numBuilds; x>0; x--)
		{
//			if(PPTSldF.PPTSld.g_vml)
//				PPTSldF.PPTSld.ShowVGXObj(am.m_anims[x].m_obj);
			aObj = am.m_anims[x].m_obj;
			if(aObj)
				aObj.style.visibility = "hidden";
		}

		for(x=am.m_numBuilds; x>(am.m_numBuilds-num); x--)
		{
			if(PPTSldF.PPTSld.g_vml)
				PPTSldF.PPTSld.ShowVGXObj(am.m_anims[x].m_obj);
			aObj = am.m_anims[x].m_obj;
			if(aObj)
				aObj.style.visibility = "visible";
		}
		am.m_curBuild -= num ;
	}
	else
	{
	//Office XP
		for(x=0;x<num;x++)
		{
			PPTSldF.PPTSld.document.body.click();
		}
	}
}

function getBodyStyle( bScale )
{
	var str = '';
	if (objSlide.bgType.length > 0)
	{
		switch (objSlide.bgType.toUpperCase())
		{
			case "IMAGE":
				if (objSlide.pptUrl.length > 0 && objSlide.bgImage.length > 0)
				{
					str += " style='background:url(\""+ objSlide.pptUrl + objSlide.bgImage +"\")";
					switch (objSlide.FillMode.toUpperCase())
					{
						case "TILE":
						break;
						case "CENTER":
							str += " no-repeat center center ";
						break;
					}
					str += "' ";
				}
				break;
			case "COLOR":
				if (objSlide.FillColor.length > 0) str += " style='background:" + objSlide.FillColor +";'";
				break;
		}
	}
	str += 'scroll="no"';

	return str;
}

function IsFullMode()
{
	if (objSlide.SubType == 'CPZ_FROM_VIDEO_FULL') return true;
	if (!gXmlLoad) return true;
	return false;
}

function getMPStyle( bScale )
{
	var str = '';
	if ( !bScale ) return str;
	if ( IsFullMode() ) 
	{
		str += 'WIDTH=100% HEIGHT=100% ';
	}
	else
	{
		str += 'style="position:absolute;';
		str += 'LEFT:'+objSlide.posLeft+'px;';
		str += 'TOP:'+objSlide.posTop+'px;';
		str += 'WIDTH:'+objSlide.posWidth+'px;';
		str += 'HEIGHT:'+objSlide.posHeight+'px;';
		str += '" ';
	}
	return str;
}

function generateHTML(bScale, Volume, url)
{
	var bIsFull = bScale && IsFullMode();
	var mpStyle = getMPStyle( bScale );

	var mps="";
	var pWMP=null;
	var bMP7=false;
	try
	{
		pWMP=new ActiveXObject("WMPlayer.OCX.7");
		if(!pWMP)
			throw "embed 6";
		pWMP=null;		
		mps='<OBJECT id=MPData ';
		mps+='classid=CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6 ';
		mps+= mpStyle;
		mps+='type=application/x-oleobject>\r\n';	
		mps+='<PARAM NAME="EnableContextMenu" VALUE="0">\r\n';
		mps+='<PARAM NAME="stretchToFit" VALUE="true">\r\n';
		mps+='<PARAM NAME="URL" VALUE="' + url + '">\r\n';
		if (Volume >= 0) mps+='<PARAM NAME="volume" VALUE="' + Volume + '">\r\n';
		mps+='</OBJECT>\r\n';
		
		bMP7 = true;
	}
	catch(e)
	{
		try
		{
			pWMP=new ActiveXObject("MediaPlayer.MediaPlayer.1");
			if(!pWMP)
				throw e;
			pWMP=null;			
			mps='<OBJECT id=MPData ';
			mps+='classid=CLSID:22D6f312-B0F6-11D0-94AB-0080C74C7E95 ';
			mps+= mpStyle;
			mps+='type=application/x-oleobject>\r\n';
			mps+='<PARAM NAME="ShowControls" VALUE="0">\r\n';
			mps+='<PARAM NAME="ShowControlBar" VALUE="0">\r\n';
			mps+='<PARAM NAME="ShowTracker" VALUE="0">\r\n';
			mps+='<PARAM NAME="ShowStatusBar" VALUE="0">\r\n';			
			mps+='<PARAM NAME="Filename" VALUE="' + url + '">\r\n';
			mps+='<PARAM NAME="DisplaySize" VALUE="4">\r\n';
			if (bIsFull) mps+='<PARAM NAME="AutoSize" VALUE=0>\r\n';
			else mps+='<PARAM NAME="AutoSize" VALUE=-1>\r\n';
			if (Volume >= 0) mps+='<PARAM NAME="volume" VALUE="' + -100*(100-Volume) + '">\r\n';
			mps+='</OBJECT>\r\n';
		}
		catch(e)
		{
			mps='';
		}
	}

	Html = '<html><head><script language="vbscript">\r\n';

	Html += 'Sub final()\r\n';
	Html += '  document.body.innerHTML = ""\r\n';
	Html += '  parent.parent.status = ""\r\n';
	Html += 'End Sub\r\n';

	Html += 'Sub MPStop()\r\n';
	Html += '  if (not IsNull(document.all.item("MPData"))) then \r\n';
	Html += '  document.all.item("MPData").controls.stop()\r\n';
	Html += '  end if\r\n';
	Html += 'End Sub\r\n';

	Html += 'sub MPData_Buffering( Start )\r\n';
	Html += '  if not Start then\r\n';
	Html += '    parent.parent.status = "BufferingEnd"\r\n';
	Html += '  end if\r\n';
	Html += 'End Sub\r\n';

	if (bMP7)
	{
		Html += 'Sub MPData_openStateChange(openState)\r\n';
		Html += '  if openState = 13 then\r\n';
		Html += '    document.all.item("MPData").uiMode = "none"\r\n';
		Html += '  end if\r\n';
		Html += 'End Sub\r\n';

		Html += 'Sub MPData_PlayStateChange(playState)\r\n';
		Html += '  Call DoScroll\r\n';
		Html += '  if playState = 1 then\r\n';
		Html += '    parent.parent.status = "PlayingEnd"\r\n';
		Html += '  elseif playState = 3 then\r\n';
		Html += '    parent.parent.status = "PlayingStart"\r\n';
		Html += '  end if\r\n';
		Html += 'End Sub\r\n';
	}
	else
	{
		Html += 'Sub MPData_PlayStateChange(lOldState, lNewState)\r\n';
		Html += '  Call DoScroll\r\n';
		Html += '  if lNewState = 0 then\r\n';
		Html += '    parent.parent.status = "PlayingEnd"\r\n';
		Html += '  elseif lNewState = 2 then\r\n';
		Html += '    parent.parent.status = "PlayingStart"\r\n';
		Html += '  end if\r\n';
		Html += 'End Sub\r\n';
	}
	Html += 'Sub DoScroll()\r\n';
	if ( bScale && IsFullMode() )
		Html += '  document.body.scroll = "no"\r\n';
	else
		Html += '  document.body.scroll = "auto"\r\n';
	Html += 'End Sub\r\n';

	Html += '</script>\r\n';
	Html += '</head>\r\n';

	Html += '<body onunload="final()" oncontextmenu="javascript:return false" bottomMargin=0 leftMargin=0 topMargin=0 rightMargin=0 ';
	Html += getBodyStyle(bScale);
	Html += '>\r\n';
	Html += mps;
	if ( gXmlLoad && bScale && !IsFullMode() ) Html += WriteSizeMark();
	Html += '</body></html> ';

	return Html;
}

function SetSlideSize(w, h)
{
	objSlide.SlideWidth = 640;
	objSlide.SlideHeight = 480;
}

function WriteSizeMark()
{
	var str = '';
	var x = objSlide.SlideWidth;
	var y = objSlide.SlideHeight;
	var dx = objSlide.posLeft + objSlide.posWidth;
	var dy = objSlide.posTop + objSlide.posHeight;
	if ( dx > objSlide.SlideWidth ) x = dx - 1;
	else x = x - 1;
	if ( dy > objSlide.SlideHeight ) y = dy - 1;
	else y = y - 1;
	str += '<div id=sizemark style="position:absolute; top:'+ y +'px; left:' + x + 'px; z-order:0;"><img src="images/spacer.gif" width=1 height=1 border=0></div>\r\n';
	return str;
}

function TerminateMPDataWin()
{
	if(PPTSldF == null  || typeof(PPTSldF) =="undefined" )
		return;
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) =="undefined" )
		return;

	var doc = PPTSldF.PPTSld.document;
	if (doc.all.item("MPData")) {
		PPTSldF.PPTSld.MPStop();
		PPTSldF.PPTSld.final();
	}
	PPTSldF.PPTSld.location.href = "intro.htm";
}

function DoDataItemsBySN(baseUrl,filename,matrial)
{
	
	if(PPTSldF == null  || typeof(PPTSldF) =="undefined" )
		return;
	if(PPTSldF.PPTSld == null  || typeof(PPTSldF.PPTSld) =="undefined" )
		return;	
	var doc = PPTSldF.PPTSld.document;
	var SldHref = PPTSldF.PPTSld.location.href ;
	SldHref = SldHref.substring(SldHref.indexOf(baseUrl),SldHref.lastIndexOf("/")+1);

	var url = SldHref + filename
	var details;	
	switch(matrial)
	{
		case "quiz":
			details = "dialogLeft=200px;dialogTop=200px;dialogHeight=500px;dialogWidth=345px;status=no;scroll=yes";				
			window.showModalDialog( url, null, details );	
			break;
		case "submaterial":
			details = "left=200, top=200, width=345, height=500, scrollbars=yes, resizable=yes, menubar=no";
			var submaterial = window.open( url, "_blank", details+"resizable=yes" );
			submaterial.focus();
			break;
	}
}
-->
